Bug 1931786 - Windows driver update does not work on cluster level 4.5
Summary: Windows driver update does not work on cluster level 4.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.4.5
: ---
Assignee: Liran Rotenberg
QA Contact: Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-23 08:30 UTC by Roman Hodain
Modified: 2021-04-14 11:40 UTC (History)
4 users (show)

Fixed In Version: ovirt-engine-4.4.5.8
Doc Type: Bug Fix
Doc Text:
Previously, the Red Hat Virtualization Manager missed the `SkuToAVLevel` configuration for 4.5 clusters. In this release, the `SkuToAVLevel` is available for these clusters and allows Windows updates to update Red Hat related drivers for the guest host.
Clone Of:
Environment:
Last Closed: 2021-04-14 11:40:42 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:1169 0 None None None 2021-04-14 11:40:46 UTC
oVirt gerrit 113700 0 master MERGED packaging: SKU support to 4.5 clusters 2021-03-01 14:43:10 UTC

Description Roman Hodain 2021-02-23 08:30:34 UTC
Description of problem:
Windows systems do not report any Red Hat related driver updates from the Windows update system of the VMs running in cluster level 4.5

Version-Release number of selected component (if applicable):
4.4.4

How reproducible:
100%

Steps to Reproduce:
1.Start Windows on cluster 4.5
2.Install older drivers
3. Check for updates

Actual results:
Not newer drivers available

Expected results:
Newer drivers are available 

Additional info:
The problem is the VMs are missing the smbios information

    <baseBoard>
      <entry name='manufacturer'>Red Hat</entry>
      <entry name='product'>RHEL-AV</entry>
    </baseBoard>

There is a missing record in vdc_options table for SkuToAVLevel. IT is only available for 4.4, but not for 4.5.

engine=# select * From vdc_options where option_name='SkuToAVLevel';
 option_id | option_name  | option_value | version | default_value 
-----------+--------------+--------------+---------+---------------
       942 | SkuToAVLevel | 8.2.0        | 4.4     | 8.2.0
(1 rows)

Comment 3 Tamir 2021-03-14 13:36:04 UTC
Verified on RHV 4.4.5-9. All looks good to me.

Env:
  - Engine instance with RHV 4.4.5-9 (ovirt-engine-4.4.5.9-0.1.el8ev) and RHEL 8.3 installed.
  - 3 hosts with RHV 4.4.5-9 and RHEL 8.3, vdsm-4.40.50.8-1.el8ev

Steps:
1. Create a 4.5 data center and a 4.5 cluster.
2. Install the hosts and create a new NFS storage domain.
3. Import an ISO domain with Windows 10 x64 ISO.
4. Create a VM with operating system set as Windows 10 x64, add a 20GB SATA disk, Select the NIC, Enter memory size a minimum of 3GB and attach the Windows ISO.
5. Run the VM.
6. Install the Windows.
7. Replace the disk in the cd-rom with an old virtio-win.iso.
8. Restart the VM.
9. Install the old Windows drivers.
10. Search new updates using the Windows Update.
11. Install the drivers. 


Results (As Expected):
Actual results:
1. The data center and the cluster were created.
2. The host was installed and the storage domain and NIC were created.
3. The ISO domain was imported.
4. The VM was created.
5. The VM is running.
6. Windows has been installed.
7. The disk in the cd-rom was replaced.
8. The VM is up again.
9. The old Windows drivers are installed.
10. New Red Hat drivers were found.
11. The new drivers were installed successfully. 

I also ran the DB query:
select * From vdc_options where option_name='SkuToAVLevel';

The query's result:
584	"SkuToAVLevel"		"4.2"	
585	"SkuToAVLevel"		"4.3"	
586	"SkuToAVLevel"	"8.2.0"	"4.4"	"8.2.0"
587	"SkuToAVLevel"	"8.3.0"	"4.5"	"8.3.0"

Comment 8 errata-xmlrpc 2021-04-14 11:40:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: RHV Manager (ovirt-engine) 4.4.z [ovirt-4.4.5] security, bug fix, enhancement), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1169


Note You need to log in before you can comment on or make changes to this bug.